/*
 * $Id: test-conv.c,v 1.1 2012/01/26 15:23:53 vrsieh Exp $
 */

#include <inttypes.h>

#define conv(t0, t1)	\
t0 \
conv_ ## t0 ## _ ## t1(t1 x) \
{ \
	return x; \
}

conv(int8_t, int8_t)
conv(int8_t, uint8_t)
conv(int8_t, int16_t)
conv(int8_t, uint16_t)
conv(int8_t, int32_t)
conv(int8_t, uint32_t)
conv(int8_t, int64_t)
conv(int8_t, uint64_t)

conv(uint8_t, int8_t)
conv(uint8_t, uint8_t)
conv(uint8_t, int16_t)
conv(uint8_t, uint16_t)
conv(uint8_t, int32_t)
conv(uint8_t, uint32_t)
conv(uint8_t, int64_t)
conv(uint8_t, uint64_t)

conv(int16_t, int8_t)
conv(int16_t, uint8_t)
conv(int16_t, int16_t)
conv(int16_t, uint16_t)
conv(int16_t, int32_t)
conv(int16_t, uint32_t)
conv(int16_t, int64_t)
conv(int16_t, uint64_t)

conv(uint16_t, int8_t)
conv(uint16_t, uint8_t)
conv(uint16_t, int16_t)
conv(uint16_t, uint16_t)
conv(uint16_t, int32_t)
conv(uint16_t, uint32_t)
conv(uint16_t, int64_t)
conv(uint16_t, uint64_t)

conv(int32_t, int8_t)
conv(int32_t, uint8_t)
conv(int32_t, int16_t)
conv(int32_t, uint16_t)
conv(int32_t, int32_t)
conv(int32_t, uint32_t)
conv(int32_t, int64_t)
conv(int32_t, uint64_t)

conv(uint32_t, int8_t)
conv(uint32_t, uint8_t)
conv(uint32_t, int16_t)
conv(uint32_t, uint16_t)
conv(uint32_t, int32_t)
conv(uint32_t, uint32_t)
conv(uint32_t, int64_t)
conv(uint32_t, uint64_t)

conv(int64_t, int8_t)
conv(int64_t, uint8_t)
conv(int64_t, int16_t)
conv(int64_t, uint16_t)
conv(int64_t, int32_t)
conv(int64_t, uint32_t)
conv(int64_t, int64_t)
conv(int64_t, uint64_t)

conv(uint64_t, int8_t)
conv(uint64_t, uint8_t)
conv(uint64_t, int16_t)
conv(uint64_t, uint16_t)
conv(uint64_t, int32_t)
conv(uint64_t, uint32_t)
conv(uint64_t, int64_t)
conv(uint64_t, uint64_t)
